<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 07/31/2009 *
 * ===================                          Last change: 07/31/2009 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : ext-uberwach.php                                 *
 * -------------------------------------------------------------------- *
 * Short description : A campaign against supervision of government     *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  :                                                  *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2012 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} // END - if

// Version number
setThisExtensionVersion('0.0.2');

// Version history array (add more with , '0.0.1' and so on)
setExtensionVersionHistory(array('0.0.0', '0.0.1', '0.0.2'));

switch (getExtensionMode()) {
	case 'setup': // Do stuff when installation is running
		// SQL commands to run
		break;

	case 'remove': // Do stuff when removing extension
		// SQLs commands to run
		addExtensionSql("DELETE LOW_PRIORITY FROM `{?_MYSQL_PREFIX?}_admin_menu` WHERE `what`='config_uberwach' LIMIT 1");

		// Unregister filter
		unregisterFilter(__FILE__, __LINE__, 'page_footer', 'DISPLAY_UBERWACH_SNIPPET', TRUE, isExtensionDryRun());
		break;

	case 'activate': // Do stuff when admin activates this extension
		// SQL commands to run
		break;

	case 'deactivate': // Do stuff when admin deactivates this extension
		// SQL commands to run
		break;

	case 'update': // Update an extension
		switch (getCurrentExtensionVersion()) {
			case '0.0.1': // SQL queries for v0.0.1
				registerFilter(__FILE__, __LINE__, 'page_footer', 'DISPLAY_UBERWACH_SNIPPET', FALSE, TRUE, isExtensionDryRun());

				// Update notes (these will be set as task text!)
				setExtensionUpdateNotes("Filter zum Anzeigen des Snippets hinzugef&uuml;gt");
				break;

			case '0.0.2': // SQL queries for v0.0.2
				addConfigAddSql('uberwach_backlink', "ENUM('Y','N') NOT NULL DEFAULT 'Y'");
				addAdminMenuSql('config','config_uberwach','&Uuml;berwach!-Aktion','Einstellungen zur Aktion &quot;&Uuml;berwach!&quot;', 7);
				break;
		} // END - switch
		break;

	case 'modify': // When the extension got modified
		break;

	case 'test': // For testing purposes
		break;

	case 'init': // Do stuff when extension is initialized
		break;

	default: // Unknown extension mode
		reportBug(__FILE__, __LINE__, sprintf("Unknown extension mode %s in extension %s detected.", getExtensionMode(), getCurrentExtensionName()));
		break;
} // END - switch

// [EOF]
?>
