<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 10/16/2003 *
 * ===================                          Last change: 07/26/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-welcome.php                                 *
 * -------------------------------------------------------------------- *
 * Short description : Welcome to the login area!                       *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Willkommen zum Login-Bereich!                    *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2012 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	exit();
} elseif (!isMember()) {
	redirectToIndexMemberOnlyModule();
}

// Add description as navigation point
addYouAreHereLink('member', basename(__FILE__));

// Export data for template
$content = array(
	'last_online' => generateDateTime($GLOBALS['last_online']['online']),
	'last_what' => getTitleFromMenu('member', $GLOBALS['last_online']['module'])
);

// Load header template
loadTemplate('member_welcome_header', FALSE, $content);

// Check if he is returning from a profile update notification
if ((isExtensionActive('profile')) && (getUserData('notified') == 'Y')) {
	// Yes, he is so let's place him his wanted buttons
	loadTemplate('member_profile_outdated');
} else {
	// Load the template below this default data
	loadTemplate('member_welcome');
}

// Load footer template
loadTemplate('member_welcome_footer');

// [EOF]
?>
